$(document).ready(function(){
	AddField("");
	$("#btnAddFile").click(function(){
		AddField("");
	});
	$("#btnSubmit").click(function(){
		var flag=true;
		$("#field_body").children().each(function(i){
			var fv=$(this).children().children("input[@name^=fcat]").val().Trim();
			if(fv==""){
				alert("属性组名称不能为空！");
				flag=false;
			}else{
				$(this).children().children("input[@name^=fcat]").attr("name","fcat"+i);
			};
			
		});
		if(!flag){return false;}else{$("<input type='hidden' name='cat_num'/>").val($("#field_body").children().length).appendTo($("#field"));};
	});
});

function AddField(fv)
{
	var tempTr=null;
	tempTr=$("<tr><td><input type='text' value='"+fv+"' name='fcat' class='fieldvalue'/></td></tr>").appendTo($("#field_body"));
	var tempControl = $("<td></td>").appendTo(tempTr);
	$("<span class='del'>X</span>").addClass("hand").appendTo(tempControl).click(function(){
		$(this).parent().parent().remove();
	});
}